## org.apache.lucene.search.highlight
Class TokenStreamFromTermPositionVector

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.search.highlight.TokenStreamFromTermPositionVector

All Implemented Interfaces:
  Closeable

    public final class TokenStreamFromTermPositionVector

extends org.apache.lucene.analysis.TokenStream

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Constructor Summary
`TokenStreamFromTermPositionVector(org.apache.lucene.index.TermPositionVector termPositionVector)` Constructor.

Method Summary
`boolean` `incrementToken()`
`void` `reset()`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenStreamFromTermPositionVector

    public TokenStreamFromTermPositionVector(org.apache.lucene.index.TermPositionVector termPositionVector)

  Constructor.

  Parameters:
    `termPositionVector` - TermPositionVector that contains the data for creating the TokenStream. Must have positions and offsets.

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`